NSX-T Data Center REST API

API to reallocate or re-balance service instances of gateways within edge or VNA cluster

This API will help reallocate or re-balance gateway service instances within the edge or VNA clusters.
This is a disruptive operation that internally triggers ha failover which may result in the loss of existing connection state.
All existing gateway statistics will be reset upon execution.
The API is only supported for infra tier-1s, VPCs, centralized transit gateways, and project tier-1 gateways.
For manual allocation please provide gateway_path and preferred_edge_paths.
For re-balancing within the cluster, execute API with gateway_path only and no need to pass other request parameters.
For a stateless active-active centralized transit gateway (CTGW), please provide number_of_edge_nodes to achieve scale-out or scale-in.
After successful execution of the API, please refer to the gateway state API to check for the new edge or VNA nodes of the gateway.

Request:

Method:
POST
URI Path(s):
/policy/api/v1/infra/gateways/action/reallocate
/policy/api/v1/orgs/{org-id}/projects/{project-id}/infra/gateways/action/reallocate
Request Headers:
n/a
Query Parameters:
n/a
Request Body:
GatewayReallocationRequestParameters+

Example Request:

Example request 1: For re-balancing VPCs/tier-1s/CTGWs within cluster POST https://<nsx-mgr>/policy/api/v1/infra/gateways/action/reallocate { "gateway_path" : "/infra/tier-1s/tier1", // It can be VPC,tier-1s or CTGWs. } Example request 2; For Manual allocation with preferred nodes for VPCs/tier-1s/CTGWs POST https://<nsx-mgr>/policy/api/v1/infra/gateways/action/reallocate { "gateway_path" : "/orgs/default/projects/project-1/vpcs/vpc-2", // It can be VPC,tier-1s or CTGWs. "preferred_edge_paths": [ "/infra/sites/default/enforcement-points/default/edge-transport-nodes/edge1", "/infra/sites/default/enforcement-points/default/edge-transport-nodes/edge2", ] } Example request 3; To scale out or scale in CTGW Active-Active within cluster POST https://<nsx-mgr>/policy/api/v1/infra/gateways/action/reallocate { "gateway_path" : "/orgs/default/projects/default/transit-gateways/ctgw-1", "number_of_edge_nodes": 4 }

Successful Response:

Response Code:
200 OK
Response Headers:
n/a
Response Body:
n/a

Example Response:

200 OK

Required Permissions:

crud

Feature:

policy_t1

Additional Errors: